
export function loadingGif(resultSection) {
    // Insert the loading.gif before making the fetch request
    resultSection.innerHTML = '';
    let imgElement = document.createElement('img');
    imgElement.src = `${window.IMG}/checking.gif`;
    imgElement.style.width = '275px';
    imgElement.style.height = '275px';
    imgElement.style.display = 'block';
    imgElement.style.marginLeft = 'auto';
    imgElement.style.marginRight = 'auto';
    resultSection.appendChild(imgElement);
    return imgElement;
}

export function setResultImage(document, name) {
    let imgElement = document.createElement('img');
    let resultSection = document.getElementById('resultSection');
    let safeName = name.replace(/ /g,"%20");
    imgElement.src = `${window.IMG}/${safeName}.jpg`;
    console.log(imgElement.src);
    imgElement.onerror = function () {
        this.src = `${window.IMG}/404.jpg`;
    };
    resultSection.appendChild(imgElement);
}